# -*- coding: utf-8 -*-
"""
Bikini builtin macros

Note: All macros must return Unicode objects.
"""
from app import process_content

__all__ = ['summary', 'quote']

def summary(text):
    u'''
    Inserts opening text for a page, styled with a bigger font.
    
    <<summary>>
        Don't worry, we are just getting started.
    <</summary>>
    '''
    return u'<div class="summary">%s</div>' % process_content(text).emit()

def quote(text):
    u'''
    Inserts quoted text — an HTML <blockquote> element — into page.

    <<quote>>
        At the beginning of World War Two, almost all Americans assumed the war would end quickly.
    <</quote>>
    '''
    return u'<blockquote>%s</blockquote>' % process_content(text).emit()
